Package org.apache.sling.clam.result.internal

## Class ResourcePersistingScanResultHandler

- java.lang.Object
- - org.apache.sling.clam.result.internal.ResourcePersistingScanResultHandler

All Implemented Interfaces:
  `JcrPropertyScanResultHandler`

    public class ResourcePersistingScanResultHandler
    extends java.lang.Object
    implements JcrPropertyScanResultHandler

### Constructor Summary

Constructors
`ResourcePersistingScanResultHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleJcrPropertyScanResult​(@NotNull org.apache.sling.commons.clam.ScanResult scanResult, @NotNull java.lang.String path, int index, int propertyType, @Nullable java.lang.String userId)`
`void` `handleJcrPropertyScanResult​(@NotNull org.apache.sling.commons.clam.ScanResult scanResult, @NotNull java.lang.String path, int propertyType, @Nullable java.lang.String userId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourcePersistingScanResultHandler

    public ResourcePersistingScanResultHandler()

### Method Detail

#### handleJcrPropertyScanResult

    public void handleJcrPropertyScanResult​(@NotNull
                                            @NotNull org.apache.sling.commons.clam.ScanResult scanResult,
                                            @NotNull
                                            @NotNull java.lang.String path,
                                            int propertyType,
                                            @Nullable
                                            @Nullable java.lang.String userId)

Specified by:
  `handleJcrPropertyScanResult` in interface `JcrPropertyScanResultHandler`
Parameters:
  `scanResult` - The scan result from Clam service
  `path` - The path of the scanned single-value property
  `propertyType` - The type of the scanned property
  `userId` - The id of the user who added or changed the property

#### handleJcrPropertyScanResult

    public void handleJcrPropertyScanResult​(@NotNull
                                            @NotNull org.apache.sling.commons.clam.ScanResult scanResult,
                                            @NotNull
                                            @NotNull java.lang.String path,
                                            int index,
                                            int propertyType,
                                            @Nullable
                                            @Nullable java.lang.String userId)

Specified by:
  `handleJcrPropertyScanResult` in interface `JcrPropertyScanResultHandler`
Parameters:
  `scanResult` - The scan result from Clam service
  `path` - The path of the scanned multi-value property
  `index` - The index of the scanned property value
  `propertyType` - The type of the scanned property
  `userId` - The id of the user who added or changed the property